@import "@/assets/scss/global";

.payment-page {
    flex: 1;
    padding: 32px 16px;
    background: #F7F8FC;

    .container {
        position: relative;
        max-width: 984px;
        min-height: 50vh;
        margin: auto;
    }

    .head {
        .head-actions {
            font-weight: 600;
            font-size: 16px;
            line-height: 24px;
        }

        .buy-type {
            margin-top: 16px;
        }
    }

    main {
        display: flex;
        flex-direction: column;
        gap: 20px;
        margin-top: 20px;

        .choose-package,
        .payment-methods {
            padding: 16px;
            background: #FFFFFF;
            border-radius: 12px;
        }

        @include tabletScreen {
            flex-direction: row;
            background: #FFFFFF;
            border-radius: 12px;

            .choose-package,
            .payment-methods {
                padding: 20px;
                flex: 0 0 calc(50% - 12px);
                width: calc(50% - 12px);
                background-color: transparent;
            }
        }
    }

    .actions {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 16px;
        margin-top: 20px;
        justify-content: center;

        button {
            flex: 1;
            max-width: 200px;

            &.btn-cancel {
                background-color: #D8D8D8;
                box-shadow: none;
            }
        }
    }

    @include tabletScreen {
        padding: 48px 16px;
        background: url("/images/home/banner/bg-blur.png") no-repeat padding-box, #F7F8FC;

        .head {
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: space-between;
            gap: 16px;

            .buy-type {
                margin-top: 0;
                width: 210px;
            }
        }

        .actions {
            margin-top: 40px;
        }
    }
}